Commit f27fca84 authored by YannGarcia's avatar YannGarcia
Browse files

Review virtualization processes

parent bea12e44
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -24,7 +24,7 @@ fi

if [ "$1" == "--remove" ]
then
    docker rmi --force etsiforge/ttf_t009_ng112:latest
    docker rmi --force etsiforge/ng112_devel:latest
fi

cd $run_dir
+3 −0
Original line number Diff line number Diff line
@@ -87,6 +87,9 @@ DEBUG:=no
GEN_PDF:=no
EOF

# To prevent link error /usr/bin/ld: /lib/x86_64-linux-gnu/libpthread.so.0: error adding symbols: DSO missing from command lineema  
sed --in-place 's/LINUX_LIBS     := -lxml2/LINUX_LIBS     := -lxml2 -lpthread/g' ./core/Makefile

echo "Starting build..."
make clean
if [ "${OSTYPE}" == "cygwin" ]
+2 −2
Original line number Diff line number Diff line
@@ -16,10 +16,10 @@ if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi

docker build --no-cache --tag etsiforge/ttf_t009_ng112 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag etsiforge/ng112_devel --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )

docker images
docker inspect etsiforge/ttf_t009_ng112:latest || ( echo "Docker inspect failed: $?"; exit 1 )
docker inspect etsiforge/ng112_devel:latest || ( echo "Docker inspect failed: $?"; exit 1 )

# That's all Floks
exit 0
+3 −0
Original line number Diff line number Diff line
@@ -27,6 +27,9 @@ GEN_PDF=no
JDKDIR=$JAVA_HOME
EOF

# To prevent link error /usr/bin/ld: /lib/x86_64-linux-gnu/libpthread.so.0: error adding symbols: DSO missing from command lineema  
sed --in-place 's/LINUX_LIBS     := -lxml2/LINUX_LIBS     := -lxml2 -lpthread/g' ./core/Makefile

make && make install || exit 1

# To be compiant with build_ttcn3.bash
+5 −4
Original line number Diff line number Diff line
@@ -6,10 +6,11 @@ set -vx
echo -e "*****************************\n* Checkout TTF T012 sources\n*****************************\n"
mkdir -p ${HOME}/dev && cd ${HOME}/dev || exit 1

git clone --branch ttf_t009 --recurse-submodules --single-branch https://forge.etsi.org/gitlab/emergency-communications/NG112.git ETSI_Ng112
cd /home/etsi/dev/ETSI_Ng112/ttcn/LibIts
rm -fr t3q
cd ttcn && rm -fr Common
git clone --branch devel --recurse-submodules --single-branch https://forge.etsi.org/gitlab/emergency-communications/NG112.git ETSI_Ng112
cd ${HOME}/dev/ETSI_Ng112/titan-test-system-framework
git checkout devel
cd ./ttcn/LibHttp
ln -sf module_emtel.mk module.mk

echo -e "*****************************\n* Set up environment\n*****************************\n"
cd /home/etsi/dev/ETSI_Ng112/scripts
Loading